# CoreMLFlags (onnxruntime 1.15.0 API)

Package ai.onnxruntime.providers

## Enum CoreMLFlags

- java.lang.Object
- - java.lang.Enum<CoreMLFlags>
  - - ai.onnxruntime.providers.CoreMLFlags

All Implemented Interfaces:
  `OrtFlags`, `java.io.Serializable`, `java.lang.Comparable<CoreMLFlags>`

    public enum CoreMLFlags
    extends java.lang.Enum<CoreMLFlags>
    implements OrtFlags

Flags for the CoreML provider.

### Enum Constant Summary

Enum Constants
`CPU_ONLY`
`ENABLE_ON_SUBGRAPH`
`ONLY_ENABLE_DEVICE_WITH_ANE`

### Field Summary

Fields
`int` `value`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getValue()` Gets the underlying flag value.
`static CoreMLFlags` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CoreMLFlags[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CPU_ONLY

    public static final CoreMLFlags CPU_ONLY

#### ENABLE_ON_SUBGRAPH

    public static final CoreMLFlags ENABLE_ON_SUBGRAPH

#### ONLY_ENABLE_DEVICE_WITH_ANE

    public static final CoreMLFlags ONLY_ENABLE_DEVICE_WITH_ANE

### Field Detail

#### value

    public final int value

### Method Detail

#### values

    public static CoreMLFlags[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CoreMLFlags c : CoreMLFlags.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CoreMLFlags valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getValue

    public int getValue()

Description copied from interface: `OrtFlags`
Gets the underlying flag value.

Specified by:
  `getValue` in interface `OrtFlags`
Returns:
  The flag value.